﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.Lims.ExcelToPdf.Requests
{
    [Route(Configs.RouteStamperRequest)]
    public class StamperRequest : IReturn<StamperResponse>
    {
        [ApiMember(Description = "内置编号，如果设置了InternalCode,将会忽略Settings的设置")]
        public string InternalCode { get; set; }

        [ApiMember(Description = "要打开的文件路径，支持Http,上传文件，本地存储路径")]
        public string OpenFilePath { get; set; }
        [ApiMember(Description = "执行成功后保存的文件路径")]
        public string SaveFilePath { get; set; }

        public Dictionary<string, string> StampFiles { get; set; }
    }

    [Route(Configs.RouteStamperQuery)]
    public class StamperQuery : IReturn<RestfulQueryResponse<Stamper>>
    {

    }

    public class Stamper
    {
        public string Name { get; set; }
        public string InternalCode { get; set; }
        public Guid Kvid { get; set; }
        public DateTime CreateTime { get; set; }
        public DateTime UpdateTime { get; set; }
        public int Status { get; set; }
    }

    public class StamperResponse
    {
        public bool IsSucceed { get; set; }

        public string Message { get; set; }

        public string Path { get; set; }
    }
}
